/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 33621
 |        TREATMENT EPISODE DATA SET -- DISCHARGES (TEDS-D), 2009
 |                            (DATASET 0001: )
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace DISYR = . if (DISYR == -9)
replace GENDER = . if (GENDER == -9)
replace RACE = . if (RACE == -9)
replace ETHNIC = . if (ETHNIC == -9)
replace MARSTAT = . if (MARSTAT == -9)
replace EDUC = . if (EDUC == -9)
replace EMPLOY = . if (EMPLOY == -9)
replace DETNLF = . if (DETNLF == -9)
replace PREG = . if (PREG == -9)
replace VET = . if (VET == -9)
replace LIVARAG = . if (LIVARAG == -9)
replace PRIMINC = . if (PRIMINC == -9)
replace ARRESTS = . if (ARRESTS == -9)
replace STFIPS = . if (STFIPS == -9)
replace CBSA = . if (CBSA == -9)
replace PMSA = . if (PMSA == -9)
replace REGION = . if (REGION == -9)
replace DIVISION = . if (DIVISION == -9)
replace SERVSETD = . if (SERVSETD == -9)
replace METHUSE = . if (METHUSE == -9)
replace DAYWAIT = . if (DAYWAIT == -9)
replace REASON = . if (REASON == -9)
replace LOS = . if (LOS == -9)
replace PSOURCE = . if (PSOURCE == -9)
replace DETCRIM = . if (DETCRIM == -9)
replace NOPRIOR = . if (NOPRIOR == -9)
replace SUB1 = . if (SUB1 == -9)
replace ROUTE1 = . if (ROUTE1 == -9)
replace FREQ1 = . if (FREQ1 == -9)
replace FRSTUSE1 = . if (FRSTUSE1 == -9)
replace SUB2 = . if (SUB2 == -9)
replace ROUTE2 = . if (ROUTE2 == -9)
replace FREQ2 = . if (FREQ2 == -9)
replace FRSTUSE2 = . if (FRSTUSE2 == -9)
replace SUB3 = . if (SUB3 == -9)
replace ROUTE3 = . if (ROUTE3 == -9)
replace FREQ3 = . if (FREQ3 == -9)
replace FRSTUSE3 = . if (FRSTUSE3 == -9)
replace IDU = . if (IDU <= -8 )
replace ALCDRUG = . if (ALCDRUG <= -9 )
replace DSMCRIT = . if (DSMCRIT == -9)
replace PSYPROB = . if (PSYPROB == -9)
replace HLTHINS = . if (HLTHINS == -9)
replace PRIMPAY = . if (PRIMPAY == -9)


